---
categories: openbsd raid
title: HowToOpenBSD/RAID1
---

*1) Démarrer sur le CD d'installation d'OpenBSD*

*2) Entrer en mode (S)hell*

*3) Créer le dev associé au deuxième disque (par défault seul le premier disque est présent dans dev sous OpenBSD)*

~~~
# cd /dev
# sh MAKEDEV sd1
# dd if=/dev/zero of=/dev/sd0c bs=1m count=1
# dd if=/dev/zero of=/dev/sd1c bs=1m count=1
# fdisk -iy sd0
# fdisk -iy sd1
~~~

note : Le premier mégaoctet est utilisé par bioctl pour le RAID, donc si notre disque a été utilisé avec softraid précédemment, on utilise dd(1) pour l'effacer.

*4) On crée ensuite une large partition sur les disques (Notez bien le FS type: RAID)*

~~~
# disklabel -E sd0
Label editor (enter '?' for help at any prompt)
> a a
offset: [64]
size: [20964761]
FS type: [4.2BSD] RAID

# disklabel sd0 > structure
# disklabel -R sd1 structure
~~~

*5) On crée ensuite le Volume RAID1*

~~~
# bioctl -c 1 -l sd0a,sd1a softraid0
~~~

*6) On Lance l'install*

~~~
# install
~~~

À l'étape de préparation du disque, choisir notre nouveau disque RAID (dans notre cas sd2)

~~~
Available disks are: sd0 sd1 sd2.

Which one is the root disk? (or 'done') [sd0] sd2
~~~

Et voilà !

----

*Pour vérifier l'état du RAID*

~~~
# bioctl sd2
Volume      Status               Size Device                                 
softraid0 0 Online         2146656256 sd2     RAID1
          0 Online         2146656256 0:0.0   noencl <sd0a>
          1 Online         2146656256 0:1.0   noencl <sd1a>
~~~

*Pour sortir un disque du RAID (comme si le disque lâchait)*

~~~
# bioctl -O /dev/sd0a sd2
~~~

En rejouant la commande bioctl sd2, vous devrier voir le disque Offline.

*Pour reconstruire le RAID après remise en place d'un nouveau disque*


1. D'abord préparer le disque

~~~
# dd if=/dev/zero of=/dev/sd0c bs=1m count=1
# disklabel -E sd0
Label editor (enter '?' for help at any prompt)
> a a
offset: [64]
size: [20964761]
FS type: [4.2BSD] RAID
~~~

2. Puis lancer la reconstruction

~~~
# bioctl -R /dev/sd0a sd2
~~~

Maintenant allons prendre un café... ou deux, ou trois...
